commit 3b09a5453114fee10b0f0984793ce968503dbea7
Author: Jeevitha Palanisamy <jeevitha@linux.ibm.com>
Date:   Tue Jun 6 13:19:02 2023

    rs6000: Remove duplicate expression [PR106907]
    
    PR106907 has few warnings spotted from cppcheck. In that addressing duplicate
    expression issue here. Here the same expression is used twice in logical
    AND(&&) operation which result in same result so removing that.
    
    2023-06-06  Jeevitha Palanisamy  <jeevitha@linux.ibm.com>
    
    gcc/
            PR target/106907
            * config/rs6000/rs6000.cc (vec_const_128bit_to_bytes): Remove
            duplicate expression.
    
    (cherry picked from commit c4deccd44655c5d748dfed200a37f2b678c32fe8)

diff --git a/gcc/config/rs6000/rs6000.cc b/gcc/config/rs6000/rs6000.cc
index 56941e6e2df..2623e4bd6e9 100644
--- a/gcc/config/rs6000/rs6000.cc
+++ b/gcc/config/rs6000/rs6000.cc
@@ -28604,7 +28604,6 @@ vec_const_128bit_to_bytes (rtx op,
 
   info->all_words_same
     = (info->words[0] == info->words[1]
-       && info->words[0] == info->words[1]
        && info->words[0] == info->words[2]
        && info->words[0] == info->words[3]);
 

